ru.bitel.bgbilling.plugins.documents.common.bean

## Class DocumentPattern

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.documents.common.bean.DocumentPattern

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class DocumentPattern
      extends IdTitle

  Класс-модель шаблона документа.
  Author:
    artur
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentPattern()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTable(DocumentTable table)` Добавление одной таблицы к списку таблиц шаблона.
    `void` | `addVariable(DocumentVariable var)` Добавление одной переменной к списку переменных шаблона.
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getDataExtractorClass()`
    `java.lang.String` | `getGeneratedFileNamePattern()`
    `java.lang.String` | `getOutputDocumentName()`
    `java.util.List<DocumentTable>` | `getTableList()`
    `java.util.List<DocumentVariable>` | `getVariableList()`
    `boolean` | `isUseInPlugin()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDataExtractorClass(java.lang.String dataExtractorClass)`
    `void` | `setGeneratedFileNamePattern(java.lang.String generatedFileNamePattern)`
    `void` | `setOutputDocumentName(java.lang.String outputDocumentName)`
    `void` | `setTableList(java.util.List<DocumentTable> tableList)`
    `void` | `setUseInPlugin(boolean isUseInPlugin)`
    `void` | `setVariableList(java.util.List<DocumentVariable> variableList)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### DocumentPattern

          public DocumentPattern()

  - ### Method Detail

    - #### getOutputDocumentName

          public java.lang.String getOutputDocumentName()

    - #### setOutputDocumentName

          public void setOutputDocumentName(java.lang.String outputDocumentName)

    - #### getGeneratedFileNamePattern

          public java.lang.String getGeneratedFileNamePattern()

    - #### setGeneratedFileNamePattern

          public void setGeneratedFileNamePattern(java.lang.String generatedFileNamePattern)

    - #### isUseInPlugin

          public boolean isUseInPlugin()

    - #### setUseInPlugin

          public void setUseInPlugin(boolean isUseInPlugin)

    - #### getVariableList

          public java.util.List<DocumentVariable> getVariableList()

    - #### setVariableList

          public void setVariableList(java.util.List<DocumentVariable> variableList)

    - #### addVariable

          public void addVariable(DocumentVariable var)

      Добавление одной переменной к списку переменных шаблона.
      Parameters:
        `var` - переменная.

    - #### getTableList

          public java.util.List<DocumentTable> getTableList()

    - #### setTableList

          public void setTableList(java.util.List<DocumentTable> tableList)

    - #### addTable

          public void addTable(DocumentTable table)

      Добавление одной таблицы к списку таблиц шаблона.
      Parameters:
        `table` - таблица.

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDataExtractorClass

          public java.lang.String getDataExtractorClass()

    - #### setDataExtractorClass

          public void setDataExtractorClass(java.lang.String dataExtractorClass)